Skip to main content
`Ctrl`+`K`

# skbio.workflow.Workflow.__call__

Workflow.__call__(iter_, success_callback=None, fail_callback=None)

  Operate on all the data.

  This is the processing engine of the workflow. Callbacks are executed following applying all workflow methods to an item from `iter_` (unless `short_cicruit=True` in which case method execution for an item is stopped if `failed=True`). Callbacks are provided `self` which allows them to examine any aspect of the workflow.

  Parameters:
    iter_iterator

      The iterator containing the data to be processed.

    success_callback method, optional

      Method to call on a successful item prior to yielding. By default, `self.state` is yielded.

    fail_callback method, optional

      Method to call on a failed item prior to yielding. By default, failures are ignored.